package w83b.w83bManager;

import java.util.HashMap;
import java.util.List;

import org.apache.commons.lang.StringUtils;


import w83b.w83bBeans.W83bPlantillasBean;
import w83b.w83bDAO.W83bFactoriaDAO;


public class W83bPlantillas implements W83bIPlantillas {

	public List buscarPlantillas(W83bPlantillasBean param) throws Exception {
		
		List listaPlantillas = W83bFactoriaDAO.getMantenimientosDAO().buscarPlantillas(param);
		
		return listaPlantillas;	
	}
	public HashMap  buscarPlantillasRTF(java.util.List nombres)
		throws Exception {
			return  W83bFactoriaDAO.getMantenimientosDAO().buscarPlantillas(nombres);	
	
	}
	public W83bPlantillasBean  detallePlantillas(W83bPlantillasBean param)
			throws Exception {
				
		w83b.w83bBeans.W83bPlantillasBean plantillas = W83bFactoriaDAO.getMantenimientosDAO().detallePlantillas(param);	
		
		return plantillas;
	}

	public String modificarPlantillas(W83bPlantillasBean param)
			throws Exception {
		
				
		String resultado = "0";		
		if(StringUtils.isNotEmpty(param.getDescripcion())||StringUtils.isNotEmpty(param.getDescripcion_eusk())){
			if(param.getFichero().length!=0){
				String nombreF = param.getNombreFichero();
				String nombreCorrecto = param.getNombrePlantilla();
				if(!nombreF.equalsIgnoreCase(nombreCorrecto)){
					return "-2";					
				}
			}
			resultado = W83bFactoriaDAO.getMantenimientosDAO().modificarPlantillas(param);
		}else{
				resultado = "-1";
		}			
		return resultado;
	}

	
	
}